We can't find the internet
Attempting to reconnect
Something went wrong!
Hang in there while we get back on track
Product: Smart Cyber
Get Policy Details
GetPolicy($policyId: ID!)
- Product
- Smart Cyber
- Method
- POST
- Endpoint
-
Sandbox:
https://api-sandbox.corvusinsurance.com/qProduction:https://crowbar.corvusinsurance.com/q - Authentication
-
Send the headers
X-API-KEY, X-USER-EMAIL, X-USER-NAMEwith every request. See Authentication.
After the policy is bound, the policy details will be queryable. The GetPolicyDocuments response and the
policy_bound
webhook notification body include the policy id (see Policy Bound).
Arguments
Required Required to submit OptionalPass these as variables.
| Name | Type | Required | Description |
|---|---|---|---|
| policyId | ID! | Required | Id of the policy to make the request for |
See Policy Bound for the policy id.
Response fields
Select only the fields you need in the selection set.
| Name | Type | Description |
|---|---|---|
| id | ID | |
| coverageStartsAt | Date | |
| coverageEndsAt | Date | |
| conveyanceLimitCents | Int | |
| deductibleCents | Int | |
| policyNumber | String | |
| premiumCents | Int | |
| productType | ProductType | |
| status | PolicyStatus | |
| triaCents | Int |